<div class="modal-header">
    <h3>{{titleModal }}</h3>
</div>
<div class="modal-body row">
    <form novalidate name="modalForm" class="row form-horizontal">
        <div class="row" ng-if="!!bureau.associes">
            <label class="legendLabel">
                {{'validationModal.destination' | translate}}
                <hr>
            </label>
            <div class="col-md-8">
                <div class="input-group" ng-show="bureau.associes.length !== 0">
                    <div class="right-inner-addon">
                        <i class="fa fa-question-circle" tooltip-trigger="click" tooltip-placement="bottom"
                           tooltip="{{'validationModal.type_your_search_tooltip' | translate}}"></i>
                        <input id="bureau" type="text" class="form-control unvalidate" ng-model="view.bureauCible"
                               placeholder="{{'validationModal.search_by_title_name_or_user' | translate}}"
                               typeahead="assoc as assoc.title for assoc in bureau.associes | filter:$viewValue | limitTo:8"
                               name="bureau" required="required">
                    </div>

                    <span class="input-group-addon" style="opacity: 0.7;"
                          ng-class="!!view.bureauCible.id ? 'label-success' : 'label-warning'">
                        {{!!view.bureauCible.id ? ('validationModal.selected_folder' | translate) : ('validationModal.no_folder_selected' | translate)}}
                    </span>
                </div>
                <div style="font-size:14px;" ng-if="bureau.associes.length === 0">
                    <span class="text-danger"><i class="fa fa-warning"></i> {{'validationModal.you_can_t_move_this_folder_in_any_desk' | translate}}</span>
                </div>

            </div>
            <div class="col-md-4">
                <div class="checkbox">
                    <label class="ng-binding" for="notifme">
                        <input class="unvalidate" id="notifme" ng-model="action.notifMe"
                               name="notifme" type="checkbox">
                        {{'validationModal.please_notify_me_when_validated' | translate}}
                    </label>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <label class="legendLabel col-xs-12">
                    {{'validationModal.public_annotation' | translate}}
                    <hr>
                    <div>
                        <textarea class="form-control annotation" ng-change="giveCommentToApplet()"
                                  ng-model="action.annotPub"></textarea>
                        <i class="fa fa-3x fa-globe textarea-icon"></i>
                    </div>

                </label>
                <label class="legendLabel col-xs-12">
                    {{'validationModal.private_annotation' | translate}}
                    <hr>
                    <div>
                        <textarea class="form-control annotationprivee" ng-model="action.annotPriv">
                        </textarea>
                        <i class="fa fa-3x fa-user-secret textarea-icon"></i>
                    </div>

                </label>

                <label class="legendLabel col-xs-12" ng-if="metaToDefine.length > 0">
                    Métadonnée(s) obligatoire sur l'étape
                    <hr>
                </label>
                <div ng-if="metaToDefine.length > 0" class="col-md-9 col-md-offset-1">
                    <div ng-switch on="metaInfo.type" class="control-group"
                         ng-repeat="(metaName, metaInfo) in metaInfos">
                        <div class="form-group mandatory-group"
                             ng-switch-when="DATE" ng-hide="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>

                            <div class="input-group">
                                <input id="{{'date' + $index}}" name="{{'date' + $index}}" ng-change="metaChanged()" ng-cloak="" ip-id="'date' + $index"
                                       return-format="timestamp" readonly="true" ip-datepicker type="text"
                                       ng-model="metaValues[metaInfo.id]" class="form-control"
                                       required="">
                                <span ng-if="!!metaValues[metaInfo.id]" ng-click="metaValues[metaInfo.id] = ''"
                                      class="pointer input-group-addon">
                                    <i class="fa fa-times"></i>
                                </span>
                                <label for="{{'date' + $index}}" ng-if="!metaValues[metaInfo.id]" class="pointer input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </label>
                            </div>
                        </div>
                        <div class="form-group mandatory-group"
                             ng-switch-when="STRING" ng-hide="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                            <input ng-cloak type="text" ng-change="metaChanged()" id="{{metaInfo.id}}"
                                   ng-model="metaValues[metaInfo.id]"
                                   class="form-control"
                                   required="">
                        </div>
                        <div class="form-group mandatory-group"
                             ng-switch-when="URL" ng-hide="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                            <input ng-cloak type="text" ng-change="metaChanged()" id="{{metaInfo.id}}"
                                   ng-model="metaValues[metaInfo.id]"
                                   class="form-control"
                                   required="">
                        </div>
                        <div class="form-group mandatory-group"
                             ng-switch-when="INTEGER" ng-hide="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                            <span class="label label-info">
                                                                <i class="fa-info-circle fa"></i>
                                                                {{'Admin.Typologie.Ty_Sub_Meta_Int'
                                                                | translate}}
                                                            </span>
                            <input type="text" integer ng-change="metaChanged()" id="{{metaInfo.id}}"
                                   ng-model="metaValues[metaInfo.id]"
                                   class="form-control"
                                   required="">
                        </div>
                        <div class="form-group mandatory-group"
                             ng-switch-when="DOUBLE" ng-hide="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                            <span class="label label-info">
                                                                <i class="fa-info-circle fa"></i>
                                                                {{'Admin.Typologie.Ty_Sub_Meta_Double'
                                                                | translate}}
                                                            </span>
                            <input type="text" decimal ng-change="metaChanged()" id="{{metaInfo.id}}"
                                   ng-model="metaValues[metaInfo.id]"
                                   class="form-control"
                                   required="">
                        </div>
                        <div class="form-group mandatory-group"
                             ng-switch-when="BOOLEAN">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                            <select id="{{metaInfo.id}}" ng-change="metaChanged()"
                                    ng-model="metaValues[metaInfo.id]"
                                    class="form-control" required="">
                                <option value="true">Oui</option>
                                <option value="false">Non</option>
                            </select>
                        </div>
                        <div class="form-group" ng-show="metaInfo.values">
                            <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                            <span class="fa fa-warning label label-danger float-right"> {{'Mandatory' | translate}}</span>
                            <select id="{{metaInfo.id}}" ng-change="metaChanged()"
                                    ng-options="value.value as value.value for value in metaInfo.values"
                                    ng-change="valuesMetaUndefined(metaInfo.id)"
                                    ng-model="metaValues[metaInfo.id]"
                                    class="form-control"
                                    required="">
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="col-xs-12">
                    <span class="legend">{{'validationModal.folder_list' | translate}}<hr></span>
                    <ul class="listeDossiers">
                        <li ng-repeat="dossier in dossiers" class="btn btn-default col-md-12 force-display"><span
                                class="label label-info">{{dossier.actionDemandee}}</span>{{dossier.title}}
                        </li>
                    </ul>
                </div>
                <div class="col-xs-12" ng-show="dossiers[0].steps.length > 1">
                    <span class="legend">{{'validationModal.consecutive_steps' | translate}}<hr></span>
                    <label>
                        <input type="checkbox" class="checkbox-inline" ng-model="action.consecutiveSteps">
                        {{'validationModal.validate_every_consecutive_step' | translate}}
                    </label>
                    <ul>
                        <li ng-repeat="step in dossiers[0].steps">
                            <i class="fa fa-fw fa-lg fa-check-square-o"></i>
                            {{step.titulaire}}
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </form>
</div>

<div class="modal-footer">
    <progressbar ng-if="loadingInfos || signLoaded || !hasSignature"
            class="progress-striped active"
            value="progressstatus.value" max="progressstatus.max" type="info">
        <span ng-show="!signLoaded && loadingInfos" style="color:black; white-space:nowrap;">{{'validationModal.retrieving_signature_informations' | translate}} : {{progress}} / {{max}}</span>
        <span ng-show="signLoaded  || !hasSignature" style="color:black; white-space:nowrap;">{{'validationModal.handled_folders' | translate}} : {{progressstatus.value}} / {{progressstatus.max}}</span>
    </progressbar>

    <span ng-show="errorMessage" class="text-danger"><i class="fa fa-warning"></i> {{errorMessage}}</span>

    <ls-lib-libersign libersign
                      ng-if="hasSignature"
                      data-to-sign="{{dataToSign}}"
                      sign="getInfosToSign(cert)"
                      signed="sendSignature(sig)"
                      cancel="cancel()"
                      valid="{{modalForm.$valid}}"
                      update-url="/libersign/"
                      applet-url="/applets/"
    ></ls-lib-libersign>


    <div ng-if="!hasSignature">
        <button ng-disabled="spin" class="btn btn-warning" ng-click="cancel()">
            <i class="fa fa-times-circle-o"></i>
            {{'Back' | translate}}
        </button>
        <button ng-disabled="spin || !modalForm.$valid" class="btn btn-primary"
                ng-click="ok()">
            <i ng-class="primaryIcon ? primaryIcon : 'fa-check'" class="fa"></i>
            {{primaryLabel ? primaryLabel : ('Confirm' | translate)}}
        </button>
    </div>

</div>
